Linux Security
    Linux Security
    Linux Security

    openSUSE: 2020:1022-1: moderate: ant

    Date
    157
    Posted By
    An update that fixes one vulnerability is now available.
       openSUSE Security Update: Security update for ant
    ______________________________________________________________________________
    
    Announcement ID:    openSUSE-SU-2020:1022-1
    Rating:             moderate
    References:         #1171696 
    Cross-References:   CVE-2020-1945
    Affected Products:
                        openSUSE Leap 15.2
    ______________________________________________________________________________
    
       An update that fixes one vulnerability is now available.
    
    Description:
    
       This update for ant fixes the following issues:
    
       - CVE-2020-1945: Fixed an inseure temorary file vulnerability which could
         have potentially leaked sensitive information (bsc#1171696).
    
       This update was imported from the SUSE:SLE-15-SP2:Update update project.
    
    
    Patch Instructions:
    
       To install this openSUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - openSUSE Leap 15.2:
    
          zypper in -t patch openSUSE-2020-1022=1
    
    
    
    Package List:
    
       - openSUSE Leap 15.2 (noarch):
    
          ant-1.10.7-lp152.2.3.1
          ant-antlr-1.10.7-lp152.2.3.1
          ant-apache-bcel-1.10.7-lp152.2.3.1
          ant-apache-bsf-1.10.7-lp152.2.3.1
          ant-apache-log4j-1.10.7-lp152.2.3.1
          ant-apache-oro-1.10.7-lp152.2.3.1
          ant-apache-regexp-1.10.7-lp152.2.3.1
          ant-apache-resolver-1.10.7-lp152.2.3.1
          ant-apache-xalan2-1.10.7-lp152.2.3.1
          ant-commons-logging-1.10.7-lp152.2.3.1
          ant-commons-net-1.10.7-lp152.2.3.1
          ant-imageio-1.10.7-lp152.2.3.1
          ant-javamail-1.10.7-lp152.2.3.1
          ant-jdepend-1.10.7-lp152.2.3.1
          ant-jmf-1.10.7-lp152.2.3.1
          ant-jsch-1.10.7-lp152.2.3.1
          ant-junit-1.10.7-lp152.2.3.1
          ant-junit5-1.10.7-lp152.2.3.1
          ant-manual-1.10.7-lp152.2.3.1
          ant-scripts-1.10.7-lp152.2.3.1
          ant-swing-1.10.7-lp152.2.3.1
          ant-testutil-1.10.7-lp152.2.3.1
          ant-xz-1.10.7-lp152.2.3.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2020-1945.html
       https://bugzilla.suse.com/1171696
    
    -- 
    

    LinuxSecurity Poll

    Which aspect of server security are you most interested in learning more about?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/38-which-aspect-of-server-security-are-you-most-interested-in-learning-more-about?task=poll.vote&format=json
    38
    radio
    [{"id":"131","title":"Preventing information leakage","votes":"1","type":"x","order":"1","pct":100,"resources":[]},{"id":"132","title":"Firewall considerations","votes":"0","type":"x","order":"2","pct":0,"resources":[]},{"id":"133","title":"Permissions ","votes":"0","type":"x","order":"3","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350


    VIEW MORE POLLS

    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.